## springlobby 0.194

=== CMakeLists.txt ===
PROJECT(springlobby)

#set minimum cmake version
cmake_minimum_required(VERSION 2.8)

#ignore warnings about macosx app bundle output dir
cmake_policy(SET CMP0006 OLD)
#don't ouch (supposedly) relative paths passed to link_directories
cmake_policy(SET CMP0015 OLD)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CROSS_COMPILING "FALSE")
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )

#----------------------------------------------------------------------------------------------------
# General Settings
#----------------------------------------------------------------------------------------------------
SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )

#----------------------------------------------------------------------------------------------------
# Load needed Modules
#----------------------------------------------------------------------------------------------------
if(NOT DEFINED SPRINGLOBBY_REV)
  EXECUTE_PROCESS(COMMAND ${springlobby_SOURCE_DIR}/tools/get-revision.sh
    OUTPUT_VARIABLE SPRINGLOBBY_REV
    ERROR_VARIABLE GIT_ERROR
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif(NOT DEFINED SPRINGLOBBY_REV)

# PKG-Config
FIND_PACKAGE( PkgConfig )


#----------------------------------------------------------------------------------------------------
# Options, that can be changed be the User in order to customise springlobby
#----------------------------------------------------------------------------------------------------
SET( OPTION_TRANSLATION_SUPPORT
	TRUE CACHE BOOL
	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
SET( OPTION_NOTIFY
	TRUE CACHE BOOL
	"Enables libnotify support for popup status messages (requires libnotify)" )
SET( BUILD_SHARED_LIBS
	FALSE CACHE BOOL
	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )

SET( ENABLE_DEBUG_REPORT
	TRUE CACHE BOOL
	"Enable automatic uploading of crash information (requires libcurl)" )

SET( SPRINGLOBBY_REV
	"${SPRINGLOBBY_REV}" CACHE STRING
	"The revision string used in packages etc." )
SET( LOCALE_INSTALL_DIR
	${CMAKE_INSTALL_PREFIX}/share/locale CACHE STRING
	"message catalogs will installed here" )

IF( AUX_VERSION )
	ADD_DEFINITIONS( -DAUX_VERSION="${AUX_VERSION}" )
ENDIF( AUX_VERSION )

INCLUDE(SpringLobbyMacros)
Add_Subdirectory(doc)
#----------------------------------------------------------------------------------------------------
# L10n support
#----------------------------------------------------------------------------------------------------
if( OPTION_TRANSLATION_SUPPORT )
        add_subdirectory(po)
endif( OPTION_TRANSLATION_SUPPORT )
ADD_DEFINITIONS( -DLOCALE_INSTALL_DIR="${LOCALE_INSTALL_DIR}" )
Add_Subdirectory(src)

#cppcheck stuff
find_program( CPPCHECK_BINARY NAMES cppcheck )
IF( EXISTS ${CPPCHECK_BINARY} )
	ADD_CUSTOM_TARGET( cppcheck )
	FOREACH( list ${updaterSrc} ${header} ${SLSharedWithSettings} ${StandAloneSettings} ${curlSRC} ${SettingsSrc} ${springlobbySrc} )
		FOREACH( SOURCEFILE ${list} )
			LIST( APPEND CHECKPATHS ${SOURCEFILE} )
		ENDFOREACH( SOURCEFILE )
	ENDFOREACH( list )

	ADD_CUSTOM_TARGET( cppcheck-full ${CPPCHECK_BINARY} "--xml" "--enable=all" "-f" "--quiet"
		${CHECKPATHS} "2>${CMAKE_CURRENT_BINARY_DIR}/cppcheck-full.xml" "&&" 
			"${CMAKE_CURRENT_SOURCE_DIR}/tools/cppcheck-htmlreport" "--source-dir=${CMAKE_CURRENT_SOURCE_DIR}/" 
				"--file=${CMAKE_CURRENT_BINARY_DIR}/cppcheck-full.xml" "--report-dir=report-full" "--title=SpringLobby - Full")
	ADD_CUSTOM_TARGET( cppcheck-lite ${CPPCHECK_BINARY} "--xml" "-f" "--quiet"
		${CHECKPATHS} "2>${CMAKE_CURRENT_BINARY_DIR}/cppcheck-lite.xml" "&&" 
			"${CMAKE_CURRENT_SOURCE_DIR}/tools/cppcheck-htmlreport" "--source-dir=${CMAKE_CURRENT_SOURCE_DIR}/" 
				"--file=${CMAKE_CURRENT_BINARY_DIR}/cppcheck-lite.xml" "--report-dir=report-lite" "--title=SpringLobby - Lite")
	add_dependencies( cppcheck cppcheck-full )
	add_dependencies( cppcheck cppcheck-lite )
ENDIF( EXISTS ${CPPCHECK_BINARY} )

IF( WIN32 )
	LIST( APPEND SLSharedWithSettings ${CMAKE_CURRENT_SOURCE_DIR}/src/stacktrace.c )
ELSE( WIN32 )
	LIST( APPEND SLSharedWithSettings ${CMAKE_CURRENT_SOURCE_DIR}/src/stacktrace.cpp )
ENDIF( WIN32 )

INCLUDE(cmake/package_config.cmake)
IF(WIN32)
    install(FILES AUTHORS COPYING README THANKS NEWS DESTINATION .)
	install(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
ELSE (WIN32)
    install(FILES AUTHORS COPYING README THANKS NEWS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/springlobby )
    install(FILES src/images/springlobby.svg DESTINATION
	    ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
    install(FILES src/springlobby.desktop DESTINATION
	    ${CMAKE_INSTALL_PREFIX}/share/applications)
ENDIF (WIN32)

add_custom_target(pack
					${CMAKE_MAKE_PROGRAM} package
					&& ${springlobby_SOURCE_DIR}/tools/transform_release_zip.sh
						${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}-win32.zip
						${CMAKE_STRIP}
				)

# setup make dist
add_custom_target(dist ${CMAKE_SOURCE_DIR}/tools/make_dist.sh "${springlobby_BINARY_DIR}" "${PACKAGE_NAME}-${PACKAGE_VERSION}" "${PACKAGE_VERSION}"
					 )

# setup make distcheck
add_custom_target(distcheck + cd ${CMAKE_BINARY_DIR} &&
                        rm -rf ${PACKAGE_NAME}-${PACKAGE_VERSION} &&
                        tar -xzf ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz &&
                        cd ${PACKAGE_NAME}-${PACKAGE_VERSION}/ &&
                        cmake "-DCMAKE_CXX_FLAGS:STRING=-O0" . && ${CMAKE_MAKE_PROGRAM}
					)
add_dependencies( distcheck dist )
#add_dependencies( versiontest version )

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

INCLUDE(compat_flags)


# Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
# MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
IF(NOT MSVC)
	IF( NOT MINGW )
		#wxMSW generates > 9000 warnings with -wextra...
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra")
	ENDIF( NOT MINGW )
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-strict-aliasing")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-strict-aliasing")
ELSE(NOT MSVC)
	ADD_DEFINITIONS(-D_RC_MSVC)
ENDIF(NOT MSVC)

if(WIN32)
	add_definitions(
		-D__WXMSW__
		-D_WIN32_WINNT=0x0501
		-DBOOST_THREAD_USE_LIB
		-DSTRICT
		-DHAVE_W32API_H
	)
	set(Boost_THREADAPI win32)
endif(WIN32)

set(Boost_USE_MULTITHREADED      ON)
if( ${CMAKE_CROSSCOMPILING} )
	set(Boost_USE_STATIC_LIBS       ON)
	set(Boost_USE_STATIC_RUNTIME    ON)
endif()

FIND_PACKAGE(Boost 1.42.0 COMPONENTS thread system REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})

ADD_DEFINITIONS( -DLOCALE_INSTALL_DIR="${LOCALE_INSTALL_DIR}" )


#----------------------------------------------------------------------------------------------------
# wxWidgets lib dependency check
#----------------------------------------------------------------------------------------------------
# Here you can define, what Libraries of wxWidgets you need for your Application. You can figure out what Libraries you need here:
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html
# order matters!
SET(wxWidgets_USE_LIBS
		net
		aui
		xml
		qa
		richtext
		html
		adv
		core
		base
	)
# We need the Find package for wxWidgets to work, but auto-find is broken in x-compile setup
FIND_PACKAGE(wxWidgets REQUIRED ${wxWidgets_USE_LIBS})
# Did we find wxWidgets ? This condition will fail for as long as the internal Vars do not point to the proper wxWidgets Configuration.
IF(wxWidgets_FOUND)
	INCLUDE(${wxWidgets_USE_FILE})
	INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
ELSE(wxWidgets_FOUND)
	# For Convenience. If we cannot continue, inform the User.
	MESSAGE( FATAL_ERROR "wxWidgets library not found! Please install the package to continue")
ENDIF(wxWidgets_FOUND)

if (CMAKE_CROSSCOMPILING)
	message(STATUS "Crosscompiling: using static flags for wxwidgets")
	set(WXSTATIC "--static")
	#FIXME: autodetect thise flags:
	add_definitions(-DAL_LIBTYPE_STATIC)
else()
	set(WXSTATIC "")
endif()

execute_process(COMMAND ${wxWidgets_CONFIG_EXECUTABLE} "--cppflags" "${WXSTATIC}"
	OUTPUT_VARIABLE WX_CXX_FLAGS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
message(STATUS "Using WX_CXX_FLAGS: ${WX_CXX_FLAGS}")

execute_process(COMMAND ${wxWidgets_CONFIG_EXECUTABLE} "--cflags" "${WXSTATIC}"
	OUTPUT_VARIABLE WX_C_FLAGS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
message(STATUS "Using WX_C_FLAGS: ${WX_C_FLAGS}")

execute_process(COMMAND ${wxWidgets_CONFIG_EXECUTABLE} "--libs" "${WXSTATIC}"
	OUTPUT_VARIABLE WX_LD_FLAGS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
message(STATUS "Using WX_LD_FLAGS: ${WX_LD_FLAGS}")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WX_CXX_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WX_C_FLAGS}")


#----------------------------------------------------------------------------------------------------
# openAL libs dependency check
#----------------------------------------------------------------------------------------------------

IF( ENABLE_DEBUG_REPORT )
	ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT )
	IF( MINGW )
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -gstabs")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -gstabs")
		LINK_LIBRARIES( intl)
	ENDIF( MINGW )
ENDIF( ENABLE_DEBUG_REPORT )

FIND_PACKAGE( CURL REQUIRED libcurl )
IF( NOT CURL_FOUND )
	MESSAGE( FATAL_ERROR "required library libCURL not found" )
ENDIF( NOT CURL_FOUND )

if(DEFINED PKG_CONFIG_EXECUTABLE) # override CURL_LIBRARIES if curl-config is set
	execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} "libcurl" "--libs"
		OUTPUT_VARIABLE CURL_LINKFLAGS
		OUTPUT_STRIP_TRAILING_WHITESPACE )

	SET(CURL_LINKFLAGS "${CURL_LINKFLAGS}" CACHE STRING "" FORCE)
	message(STATUS "${PKG_CONFIG_EXECUTABLE} returned ${CURL_LINKFLAGS} for linking to libcurl")

	execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} "libcurl" "--cflags-only-other"
		OUTPUT_VARIABLE CURL_DEFINITONS
		OUTPUT_STRIP_TRAILING_WHITESPACE )
	add_definitions(${CURL_DEFINITONS})
	message(STATUS "${PKG_CONFIG_EXECUTABLE} returned ${CURL_DEFINITONS} for compiling with libcurl")
endif()



ADD_DEFINITIONS( ${CURL_CFLAGS} )
#add_to_global(link_directories  ${CURL_LIB_DIRS} )
INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )

#----------------------------------------------------------------------------------------------------
# libnotify dependency check
#----------------------------------------------------------------------------------------------------

IF( OPTION_NOTIFY AND NOT WIN32 )
	pkg_check_modules( LIBNOTIFY libnotify )
	pkg_check_modules( GLIB glib-2.0 )
	IF( LIBNOTIFY_FOUND )
		INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
		LINK_LIBRARIES( ${LIBNOTIFY_LIBRARIES} )
		INCLUDE_DIRECTORIES( ${GLIB_INCLUDE_DIRS} )
		LINK_LIBRARIES( ${GLIB_LIBRARIES} )
		ADD_DEFINITIONS( -DHAVE_LIBNOTIFY )
	ENDIF( LIBNOTIFY_FOUND )
ENDIF( OPTION_NOTIFY AND NOT WIN32 )


set(springlobbySrc
	aui/slbook.cpp
	aui/auimanager.cpp

	hosting/addbotdialog.cpp
	hosting/autobalancedialog.cpp
	hosting/autohost.cpp
	hosting/battlemaptab.cpp
	hosting/battleoptionstab.cpp
	hosting/battleroomlistctrl.cpp
	hosting/battleroomtab.cpp
	hosting/hostbattledialog.cpp
	hosting/mainjoinbattletab.cpp
	hosting/mainsingleplayertab.cpp
	hosting/mmoptionwindows.cpp
	hosting/battleroomdownloads.cpp
	hosting/autohostmanager.cpp
	hosting/battleroommmoptionstab.cpp

	options/downloadoptionspanel.cpp
	options/mainoptionstab.cpp
	options/springoptionstab.cpp
	options/groupoptionspanel.cpp
	options/lobbyoptionstab.cpp
	options/chatoptionstab.cpp

	playback/replaylist.cpp
	playback/savegamelist.cpp

	helper/TextCompletionDatabase.cpp
	helper/slhtmlwindow.cpp
	helper/wxtextctrlhist.cpp
	helper/colorbutton.cpp

	gui/toasternotification.cpp
	gui/wxbackgroundimage.cpp
	gui/statusbar.cpp
	gui/pastedialog.cpp
	gui/notificationmanager.cpp
	gui/taskbar.cpp
	gui/contentdownloaddialog.cpp
	gui/contentsearchresultslistctrl.cpp

	utils/activitynotice.cpp
	utils/misc.cpp
	utils/tasutil.cpp
	utils/md5.c
	utils/battleevents.cpp

	channel/channelchooser.cpp
	channel/channelchooserdialog.cpp
	channel/autojoinchanneldialog.cpp
	channel/channel.cpp
	channel/channellist.cpp
	channel/channellistctrl.cpp

	battlelist/battlelist.cpp
	battlelist/battlelistctrl.cpp
	battlelist/battlelistfilter.cpp
	battlelist/battlelisttab.cpp

	downloader/prdownloader.cpp
	downloader/downloadlistctrl.cpp
	downloader/downloadsobserver.cpp
	downloader/httpdownloader.cpp

	toasterbox/ToasterBox.cpp
	toasterbox/ToasterBoxWindow.cpp
	toasterbox/ToasterBoxWindowList.cpp

	chatpanelmenu.cpp
	agreementdialog.cpp
	base64.cpp
	battle.cpp
	crc.cpp
	chatlog.cpp
	chatpanel.cpp
	connectwindow.cpp
	countrycodes.cpp
	customlistctrl.cpp
	flagimages.cpp
	ibattle.cpp
	iconimagelist.cpp
	mainchattab.cpp
	maindownloadtab.cpp
	mainwindow.cpp
	mapctrl.cpp
	mapgridctrl.cpp
	mapselectdialog.cpp
	contentsearchresult.cpp
	nicklistctrl.cpp
	offlinebattle.cpp
	
	
	selectusersdialog.cpp
	iserver.cpp
	reconnectdialog.cpp
	serverevents.cpp
	singleplayerbattle.cpp
	singleplayertab.cpp
	socket.cpp
	spring.cpp
	springlobbyapp.cpp
	springprocess.cpp
	tasserver.cpp
	ui.cpp
	user.cpp
	useractions.cpp
	userlist.cpp
	serverselector.cpp
	
	lsl/src/lsl/battle/tdfcontainer.cpp #FIXME
	springsettings/frame.cpp
)

SET(SLSharedWithSettings
	helper/wxTranslationHelper.cpp
	uiutils.cpp
	updater/versionchecker.cpp
	updater/updatehelper.cpp
	utils/controls.cpp
	utils/conversion.cpp
	utils/customdialogs.cpp
	utils/globalevents.cpp
	utils/platform.cpp
	utils/slpaths.cpp
	utils/sltipwin.cpp
	utils/uievents.cpp
	utils/curlhelper.cpp
	crashreport.cpp
	settings.cpp
	infodialog.cpp
	gui/windowattributespickle.cpp
	gui/spinctl/generic/spinctlg.cpp
	gui/spinctl/generic/spinctrldouble.cpp
	helper/slconfig.cpp
	aboutbox.cpp
	log.cpp
	lsllog.cpp
)

FILE( GLOB header "*.h" )
FILE( GLOB header2 "*/*.h" )
# FILE( GLOB header3 "*/*/*.h" )

#grep -lR cpp\"$ * | sed -e "s/\.h/\.cpp/g"
SET( templatesources
	hosting/battleroommmoptionstab.cxx
	customvirtlistctrl.cpp
	playback/playbackfilter.cpp
	playback/playbacklist.cpp
	playback/playbacklistctrl.cpp
	playback/playbackthread.cpp
	playback/playbacktab.cpp
	utils/stringserializer.cpp
)

IF(WIN32)
	list(APPEND SLSharedWithSettings stacktrace.c)
ELSE(WIN32)
	list(APPEND SLSharedWithSettings stacktrace.cpp)
ENDIF(WIN32)
add_library(slcommon STATIC
		${SLSharedWithSettings}
	)
target_link_libraries(slcommon
		springlobbyversion
		libsettings
		lsl-unitsync
		${wxWidgets_LIBRARIES}
		${CURL_LIBRARIES}
	)
set_target_properties(slcommon PROPERTIES
		LINK_FLAGS "${CURL_LINKFLAGS}"
	)

add_subdirectory(downloader)
add_subdirectory(utils)

set(LSLSERVER OFF CACHE BOOL "disable lsl-server build" FORCE)
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/lsl/CMakeLists.txt")
	MESSAGE(FATAL_ERROR "lsl/CMakeLists.txt doesn't exist, please run \ngit submodule update --init")
else()
	add_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
	Add_Subdirectory(lsl)
	INCLUDE_DIRECTORIES(lsl/src)
	remove_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
endif()
add_subdirectory(springsettings)
add_subdirectory(sound)
add_subdirectory(json)


set_source_files_properties(  ${templatesources} PROPERTIES HEADER_FILE_ONLY 1 )

#mylink( ${EXTRA_LIB_DIRS} ${link_directories} )

IF(WIN32)
	set(springlobby_RC_FILE springlobby.rc)
ENDIF()
add_subdirectory(updater)


ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE
		${springlobbySrc}
		${springlobby_RC_FILE}
	)
#the updater needs to be build for windows only
IF(WIN32)
	TARGET_LINK_LIBRARIES( springlobby
		iphlpapi
		nettle
		ws2_32
	)
	install(TARGETS springlobby RUNTIME DESTINATION .)
ELSE (WIN32)
	install(TARGETS springlobby RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
ENDIF (WIN32)

TARGET_LINK_LIBRARIES(springlobby lsl-utils lsl-unitsync pr-downloader_static json springlobbyversion libsettings slcommon
		${wxWidgets_LIBRARIES}
		${Boost_LIBRARIES}
		${CURL_LIBRARIES}
		${CURL_LINKFLAGS}
		sound
	)
#add_dependencies(springlobby version)
IF(UNIX)
	FIND_PACKAGE(X11 REQUIRED)
	TARGET_LINK_LIBRARIES(springlobby ${X11_X11_LIB})
ENDIF(UNIX)

ENABLE_TESTING()
add_subdirectory(tests)

add_analyze(${springlobbySoundsrc} ${springlobbySrc} ${SLSharedWithSettings})
#add_format(${springlobbySoundsrc} ${springlobbySrc} ${SLSharedWithSettings} ${templatesources} ${header} ${header2})

=== src/lsl/CMakeLists.txt ===
PROJECT(libSpringLobby)

#set minimum cmake version
cmake_minimum_required(VERSION 2.8)
SET(CMAKE_COLOR_MAKEFILE ON)

# Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
# MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
IF(NOT MSVC)
	IF( NOT MINGW )
		#wxMSW generates > 9000 warnings with -wextra...
# 		ADD_DEFINITIONS( -Wextra )
	ENDIF( NOT MINGW )
# 	ADD_DEFINITIONS( -Wall -Wno-strict-aliasing -pedantic )
ELSE(NOT MSVC)
	ADD_DEFINITIONS(-D_RC_MSVC)
ENDIF(NOT MSVC)

macro( install_if_standalone )
	if( NOT DEFINED springlobby_SOURCE_DIR ) #we're not included as submodule	
		install( ${ARGN} )
	endif()
endmacro()

#----------------------------------------------------------------------------------------------------
# General Settings
#----------------------------------------------------------------------------------------------------
SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )

#----------------------------------------------------------------------------------------------------
# Load needed Modules
#----------------------------------------------------------------------------------------------------
if(NOT DEFINED LIBSPRINGLOBBY_REV)
  EXECUTE_PROCESS(COMMAND ${libSpringLobby_SOURCE_DIR}/tools/get-revision.sh
    OUTPUT_VARIABLE LIBSPRINGLOBBY_REV
    ERROR_VARIABLE GIT_ERROR
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif(NOT DEFINED LIBSPRINGLOBBY_REV)


INCLUDE(cmake/package_config.cmake)
INCLUDE(cmake/sources_list.cmake)

FIND_PACKAGE( PkgConfig )

set(Boost_USE_MULTITHREADED      ON)
if( ${CMAKE_CROSSCOMPILING} )
	set(Boost_USE_STATIC_LIBS       ON)
	set(Boost_USE_STATIC_RUNTIME    ON)
endif()
FIND_PACKAGE(Boost 1.40.0 COMPONENTS system thread filesystem  REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})


#----------------------------------------------------------------------------------------------------
# Options, that can be changed be the User in order to customise libSpringLobby
#----------------------------------------------------------------------------------------------------
OPTION(BUILD_SHARED_LIBS "Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." ON)

OPTION(BUILD_TESTS "build example and test binaries" OFF)
	
SET( LIBSPRINGLOBBY_REV
	"${LIBSPRINGLOBBY_REV}" CACHE STRING
	"The revision string used in packages etc." )

# If we build for windows Systems, we also include the Resource-File containing the Manifest, Icon and other Resources.
IF(WIN32)
	CreateResourceCompileCommand(libspringlobby_RC_FILE ${libSpringLobby_SOURCE_DIR}/src/ libSpringLobby.rc lsl_icon.o )
	SET(libSpringLobbySrc ${libSpringLobbySrc} ${libspringlobby_RC_FILE})
	add_definitions(-DUNICODE -D_UNICODE)
ENDIF(WIN32)


#----------------------------------------------------------------------------------------------------
# Build target defintions
#----------------------------------------------------------------------------------------------------

# Here we define the executable lsl-server ( or on Windows libSpringLobby.exe )

#ignore warnings about macosx app bundle output dir
cmake_policy(SET CMP0006 OLD)


INCLUDE(cmake/compat_flags.cmake)

# add_custom_target(pack
# 					${CMAKE_MAKE_PROGRAM} package
# 					&& ${libSpringLobby_SOURCE_DIR}/tools/transform_release_zip.sh
# 						${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}-win32.zip
# 						${CMAKE_STRIP}
# 				)
# 
# # setup make dist
# add_custom_target(dist ${CMAKE_SOURCE_DIR}/tools/make_dist.sh "${libSpringLobby_BINARY_DIR}" "${PACKAGE_NAME}-${PACKAGE_VERSION}"
# 					 )
# 
# # setup make distcheck
# add_custom_target(distcheck + cd ${CMAKE_BINARY_DIR} &&
#                         rm -rf ${PACKAGE_NAME}-${PACKAGE_VERSION} &&
#                         tar -xzf ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz &&
#                         cd ${PACKAGE_NAME}-${PACKAGE_VERSION}/ &&
#                         cmake "-DCMAKE_CXX_FLAGS:STRING=-O0". && ${CMAKE_MAKE_PROGRAM}
# 					)
# add_custom_target( version
# 				${libSpringLobby_SOURCE_DIR}/tools/regen_config_header.sh ${libSpringLobby_SOURCE_DIR}/cmake/config.h ${libSpringLobby_BINARY_DIR}/libSpringLobby_config.h
# 				)
# add_dependencies( distcheck dist )
# add_dependencies( lsl-server version )

OPTION(LSLSERVER
	"Compile and install lsl-server" ON)
IF (WIN32)
	install_if_standalone(FILES AUTHORS COPYING NEWS README THANKS  DESTINATION .)
	install_if_standalone(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
ELSE (WIN32)
	install_if_standalone(FILES AUTHORS COPYING NEWS README THANKS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/lsl-server )
ENDIF (WIN32)

add_subdirectory( src )
add_subdirectory( doc )
if (${BUILD_TESTS})
	enable_testing()
	add_subdirectory( test )
endif()

=== src/springsettings/CMakeLists.txt ===
set(SettingsSrc
	panel_pathoption.cpp
	se_utils.cpp
	tab_abstract.cpp
	tab_audio.cpp
	tab_quality_video.cpp
	tab_render_detail.cpp
	tab_simple.cpp
	tab_ui.cpp

	hotkeys/HotkeyForms.cpp
	hotkeys/AddSelectionCmdDlg.cpp
	hotkeys/commandlist.cpp
	hotkeys/hotkey_panel.cpp
	hotkeys/hotkey_parser.cpp
	hotkeys/KeynameConverter.cpp
	hotkeys/wxSpringCommand.cpp
	hotkeys/SpringDefaultProfile.cpp
	hotkeys/HotkeyTypes.cpp
	hotkeys/CommandOrderDlg.cpp
	hotkeys/ChangeMetaDlg.cpp

	wxkeybinder/keybinder.cpp
	wxkeybinder/wxKeyMonitorTextCtrl.cpp
)

ADD_LIBRARY(libsettings STATIC ${SettingsSrc})
TARGET_LINK_LIBRARIES(libsettings ${wxWidgets_LIBRARIES})

ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE
		frame.cpp
		main.cpp
		${SpringSettings_RC_FILE}
	)

IF(WIN32)
	CreateResourceCompileCommand(springsettings_RC_FILE ${springlobby_SOURCE_DIR}/src settings.rc ss_icon.o )
	install(TARGETS springsettings RUNTIME DESTINATION .)
ELSE(WIN32)
	install(TARGETS springsettings RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
ENDIF (WIN32)
TARGET_LINK_LIBRARIES(springsettings
		libsettings
		lsl-utils
		lsl-unitsync
		slcommon
		${wxWidgets_LIBRARIES}
		${CURL_LINKFLAGS}
		${CMAKE_DL_LIBS}
	)

set_target_properties(springsettings PROPERTIES
		COMPILE_FLAGS -DSPRINGSETTINGS_STANDALONE
	)

=== src/tests/CMakeLists.txt ===
add_subdirectory(headercheck)

FIND_PACKAGE(Boost 1.35.0 COMPONENTS unit_test_framework)

If    (NOT Boost_FOUND)
        Message(STATUS "Note: Unit tests will not be built: Boost::test library was not found")
Else  (NOT Boost_FOUND)

ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK)

add_custom_target(tests)
add_custom_target(check ${CMAKE_CTEST_COMMAND} --output-on-failure -V)
add_custom_target(install-tests)

macro (add_springlobby_test target sources libraries flags)
	ADD_TEST(NAME test${target} COMMAND test_${target})
	add_dependencies(tests test_${target})
	add_dependencies(check test_${target})
	add_dependencies(install-tests test_${target})
	add_executable(test_${target} EXCLUDE_FROM_ALL ${sources})
	target_link_libraries(test_${target} ${libraries})
	set_target_properties(test_${target} PROPERTIES COMPILE_FLAGS "${flags}")
	#install(TARGETS test_${target} DESTINATION ${BINDIR})
endmacro()


################################################################################
set(test_name Config)
Set(test_src
	"${CMAKE_CURRENT_SOURCE_DIR}/config.cpp"
	"${springlobby_SOURCE_DIR}/src/helper/slconfig.cpp"
)

set(test_libs
	${wxWidgets_LIBRARIES}
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
)
add_springlobby_test(${test_name} "${test_src}" "${test_libs}" "")
################################################################################
set(test_name ChatLog)
Set(test_src
	"${CMAKE_CURRENT_SOURCE_DIR}/chatlog.cpp"
	"${springlobby_SOURCE_DIR}/src/chatlog.cpp"
)

set(test_libs
	${wxWidgets_LIBRARIES}
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
)
add_springlobby_test(${test_name} "${test_src}" "${test_libs}" "-DTEST")
################################################################################
################################################################################
set(test_name lobbyid)
Set(test_src
	"${CMAKE_CURRENT_SOURCE_DIR}/lobbyid.cpp"
	"${springlobby_SOURCE_DIR}/src/crc.cpp"
)

set(test_libs
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
)
add_springlobby_test(${test_name} "${test_src}" "${test_libs}" "-DTEST")

endif()

=== src/updater/CMakeLists.txt ===
set(update_RC_FILE updater.rc)
SET(updaterSrc
	updatermainwindow.cpp
	updaterapp.cpp
	../utils/activitynotice.cpp
	../utils/platform.cpp
	${updater_RC_FILE}
)

if(WIN32)
	option(SPRINGLOBBY_UPDATER "Compile the springlobby_updater" ON)
else()
	option(SPRINGLOBBY_UPDATER "Compile the springlobby_updater" OFF)
endif()
if (SPRINGLOBBY_UPDATER)
	ADD_EXECUTABLE(springlobby_updater WIN32 MACOSX_BUNDLE ${updaterSrc} ${updater_RC_FILE} )
	TARGET_LINK_LIBRARIES(springlobby_updater
			springlobbyversion
			${wxWidgets_LIBRARIES}
		)
	install(TARGETS springlobby_updater RUNTIME DESTINATION .)
endif()

=== src/utils/CMakeLists.txt ===
add_custom_target(version ALL ${springlobby_SOURCE_DIR}/tools/regen_config_header.sh ${springlobby_SOURCE_DIR} ${springlobby_BINARY_DIR})


add_library(springlobbyversion STATIC
	version.cpp
)

INCLUDE_DIRECTORIES(${springlobby_BINARY_DIR})
INCLUDE_DIRECTORIES(${springlobby_SOURCE_DIR})

add_dependencies(springlobbyversion version)

=== src/lsl/test/CMakeLists.txt ===

INCLUDE_DIRECTORIES(${libSpringLobby_SOURCE_DIR}/src)
add_custom_target(check ${CMAKE_CTEST_COMMAND} --output-on-failure)

################################################################################
### libSpringLobby

SET(basic_testSrc
	${CMAKE_CURRENT_SOURCE_DIR}/basic.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/usync.cpp
	)

ADD_EXECUTABLE(libSpringLobby_test WIN32 MACOSX_BUNDLE ${basic_testSrc} )
add_test(NAME libSpringLobbyTest COMMAND libSpringLobby_test)


TARGET_LINK_LIBRARIES(libSpringLobby_test dl lsl-server lsl-unitsync dl)
IF( NOT WIN32 )
	TARGET_LINK_LIBRARIES(libSpringLobby_test X11 )
ENDIF()

################################################################################
### swig

ADD_EXECUTABLE(swig_test WIN32 MACOSX_BUNDLE ${CMAKE_CURRENT_SOURCE_DIR}/swig.cpp )
add_test(NAME swigTest COMMAND swig_test)

=== src/downloader/lib/src/CMakeLists.txt ===
subdirs(lib)

add_library(Version STATIC Version.cpp)
set_target_properties(Version PROPERTIES COMPILE_DEFINITIONS "PR_DOWNLOADER_VERSION=${PR_DOWNLOADER_VERSION}")


if (PRD_ARCHIVE_SUPPORT)
	set(archivessrc FileSystem/SevenZipArchive.cpp FileSystem/ZipArchive.cpp)
	set(archiveslib pr-7z)
	add_definitions(-DARCHIVE_SUPPORT)
endif()

add_library(Downloader STATIC
	Downloader/Rapid/RapidDownloader.cpp
	Downloader/Rapid/Repo.cpp
	Downloader/Rapid/Sdp.cpp
	Downloader/Http/HttpDownloader.cpp
	Downloader/Http/DownloadData.cpp
	Downloader/Plasma/PlasmaDownloader.cpp
	Downloader/CurlWrapper.cpp
	Downloader/Download.cpp
	Downloader/IDownloader.cpp
	Downloader/Mirror.cpp
	Downloader/IDownloadsObserver.cpp
	FileSystem/AtomicFile.cpp
	FileSystem/FileData.cpp
	FileSystem/FileSystem.cpp
	FileSystem/File.cpp
	FileSystem/HashMD5.cpp
	FileSystem/HashSHA1.cpp
	FileSystem/HashCRC32.cpp
	FileSystem/IHash.cpp
	Util.cpp
	Logger.cpp
	${archivessrc}
)

target_link_libraries(Downloader
	${CURL_LIBRARIES}
	${OPENSSL_LIBRARIES}
	xmlrpc
	${WIN32LIBS}
	soap
	${ZLIB_LIBRARIES}
	pr-md5
	pr-sha1
	bencode
	${archiveslib}
	Version
)

if(PRD_ARCHIVE_SUPPORT)
	if (MINIZIP_FOUND)
		target_link_libraries(Downloader ${MINIZIP_LIBRARIES})
	else()
		target_link_libraries(Downloader pr-minizip)
	endif()
endif()


set (PRDOWNLOADER "pr-downloader")
set (PRDOWNLOADER_SHARED ${PRDOWNLOADER}_shared)
set (PRDOWNLOADER_STATIC ${PRDOWNLOADER}_static)

IF (WIN32)
	SET(WIN32LIBS ws2_32)
	LIST(APPEND WIN32LIBS mswsock)
ENDIF ()



set(PRDOWNLOADER_LIBS
	${WIN32LIBS}
	Downloader
)


OPTION(PRD_SHAREDLIB
	"Enables compilation of the shared lib" ON)

if (PRD_SHAREDLIB)
	add_library(${PRDOWNLOADER_SHARED} SHARED
		pr-downloader.cpp
	)
	if(PRD_DO_INSTALL)
		INSTALL (TARGETS ${PRDOWNLOADER_SHARED}
			RUNTIME DESTINATION ${PRD_BINDIR}
			LIBRARY DESTINATION ${PRD_LIBDIR}
			ARCHIVE DESTINATION ${PRD_LIBDIR} )
	endif()
	target_link_libraries( ${PRDOWNLOADER_SHARED} ${PRDOWNLOADER_LIBS} )
endif()

OPTION(PRD_STATICLIB
	"Enables compilation of the static lib" ON)
if (PRD_STATICLIB)
	add_library(${PRDOWNLOADER_STATIC} STATIC
		pr-downloader.cpp
	)
	if(PRD_DO_INSTALL)
		INSTALL (TARGETS ${PRDOWNLOADER_STATIC}
			RUNTIME DESTINATION ${PRD_BINDIR}
			LIBRARY DESTINATION ${PRD_LIBDIR}
			ARCHIVE DESTINATION ${PRD_LIBDIR} )
	endif()
	target_link_libraries( ${PRDOWNLOADER_STATIC} ${PRDOWNLOADER_LIBS} ${CMAKE_DL_LIBS})
endif()

OPTION(PRD_CONSOLETOOL
        "Enables compilation and installation of the console tool ${PRDOWNLOADER}" ON)

if (PRD_CONSOLETOOL)
	add_executable(${PRDOWNLOADER}
		main.cpp
	)

	if (PRD_LINK_STATIC)
		target_link_libraries( ${PRDOWNLOADER} ${PRDOWNLOADER_STATIC} )
	else  ()
		# hack arround "make install" doesn't generate libpr-downloader_shared.so
		add_dependencies(${PRDOWNLOADER} ${PRDOWNLOADER_SHARED})
		target_link_libraries(${PRDOWNLOADER} ${PRDOWNLOADER_SHARED} )
	endif ()
	if (WIN32)
		set_target_properties(${PRDOWNLOADER} PROPERTIES LINK_FLAGS "-Wl,-subsystem,console")
	endif()
	if (PRD_DO_INSTALL)
		INSTALL (TARGETS ${PRDOWNLOADER}
			RUNTIME DESTINATION ${PRD_BINDIR}
			LIBRARY DESTINATION ${PRD_LIBDIR}
			ARCHIVE DESTINATION ${PRD_LIBDIR} )
	endif()
endif(PRD_CONSOLETOOL)

FILE( GLOB_RECURSE header "*.h" )



if(NOT WIN32 AND PRD_DEVELOP_FILES)
	SET(VERSION ${PR_DOWNLOADER_VERSION})
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libspringdownloader.pc.in"
	               "${CMAKE_CURRENT_BINARY_DIR}/libspringdownloader.pc" @ONLY)
	if (PRD_DO_INSTALL)
		install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libspringdownloader.pc" DESTINATION "${PRD_LIBDIR}/pkgconfig")
	endif()
endif()

if(PRD_DO_INSTALL AND PRD_DEVELOP_FILES AND PRD_DO_INSTALL)
	INSTALL (FILES
		pr-downloader.h
	        DESTINATION ${PRD_INCLUDE_DIR}/Downloader COMPONENT Devel )
endif()

=== src/lsl/src/lslextract/CMakeLists.txt ===
message(STATUS ${libUnitsyncSrc})

add_executable(lslextract
	lslextract.cpp
	../lslunitsync/c_api.cpp
	../lslunitsync/sharedlib.cpp
	../lslunitsync/image.cpp
	../lslunitsync/loader.cpp
	../lslunitsync/mmoptionmodel.cpp
	../lslunitsync/optionswrapper.cpp
	../lslunitsync/unitsync.cpp

	../lslutils/misc.cpp
	../lslutils/config.cpp
	../lslutils/crc.cpp
	../lslutils/thread.cpp
	../lslutils/net.cpp
	../lslutils/globalsmanager.cpp
	../lslutils/md5.c
)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(X11 REQUIRED)

remove_definitions(-DHAVE_WX -D__WXDEBUG__ -D__WXGTK__ -DHAVE_SPRINGLOBBY=1 -DENABLE_DEBUG_REPORT-DHAVE_CONFIG_H  -DHAVE_LIBNOTIFY)
TARGET_LINK_LIBRARIES(lslextract
	${Boost_LIBRARIES}
	${PNG_LIBRARY}
	${X11_LIBRARIES}
	${CMAKE_DL_LIBS}
)

=== src/lsl/src/lslunitsync/CMakeLists.txt ===
SET(libUnitsyncSrc
	"${CMAKE_CURRENT_SOURCE_DIR}/c_api.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/sharedlib.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/image.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/loader.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/mmoptionmodel.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/optionswrapper.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/unitsync.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/springbundle.cpp"
	)
FILE( GLOB RECURSE libUnitsyncHeader "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )

#grep -lR cc\"$ "${CMAKE_CURRENT_SOURCE_DIR}/* | sed -e "s/\.h/\.cc/g"
SET( templatesources
	""
)
LIST( APPEND libUnitsyncHeader ${templatesources} )
set_source_files_properties(  ${libUnitsyncHeader} PROPERTIES HEADER_FILE_ONLY 1 )
	
#cimage deps
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(X11 REQUIRED)
ADD_LIBRARY(lsl-unitsync STATIC ${libUnitsyncHeader} ${libUnitsyncSrc} )

if (UNIX AND NOT MINGW)
	FIND_LIBRARY(RT_LIBRARY rt)
endif()
TARGET_LINK_LIBRARIES(lsl-unitsync lsl-utils ${Boost_LIBRARIES} ${PNG_LIBRARY} ${X11_LIBRARIES} ${CMAKE_DL_LIBS} ${RT_LIBRARY})

=== src/downloader/lib/src/lib/minizip/CMakeLists.txt ===
# Spring supplied CMake build file

SET(miniZipSources
	unzip.c
	zip.c
	ioapi.c
)

FIND_PACKAGE(ZLIB REQUIRED)

if(WIN32)
	add_definitions(-DUNICODE -D_UNICODE)
endif()

ADD_LIBRARY(pr-minizip STATIC EXCLUDE_FROM_ALL ${miniZipSources})
TARGET_LINK_LIBRARIES(pr-minizip ${ZLIB_LIBRARY})
SET_TARGET_PROPERTIES(pr-minizip PROPERTIES COMPILE_FLAGS "${PIC_FLAG}")

=== debian/changelog ===
springlobby (0.194-2) unstable; urgency=medium

  * Switch back to wxwidgets3.0 (Closes: #751362)
    - Build with wxwidgets3.0 again since the archive migrates to this version
      before the freeze.
  * debian/rules: Disable wxwidgets3.0 assertions by using -DNDEBUG.

 -- Markus Koschany <apo@gambaru.de>  Fri, 13 Jun 2014 17:00:34 +0200

springlobby (0.194-1) unstable; urgency=medium

  * Imported Upstream version 0.194.
    - Fix version string is "unknown".
    - Fix wrong download paths without the / delimiter.
  * Remove override for dh_auto_configure.
    - Defining SPRINGLOBBY_REV is no longer necessary. The upstream build system
      handles that at build-time.
  * Build-depend on libboost-all-dev instead of single boost libraries.
    - Add additional boost libraries for the test suite. This also helps to
      avoid missing such dependencies in the future.
  * Switch back to libwxgtk2.8-dev. WxWidgets2.8 is more stable and supported
    by upstream.
  * Remove reference to /etc/spring/datadir in man pages.

 -- Markus Koschany <apo@gambaru.de>  Thu, 22 May 2014 12:04:18 +0200

springlobby (0.189-1) unstable; urgency=medium

  * Imported Upstream version 0.189.
    - Make it possible to change the path to the spring executable again.
      Thanks to Luca Ganzerla and Stefanie Dargel for the report.
      (Closes: #746502)

 -- Markus Koschany <apo@gambaru.de>  Sun, 04 May 2014 15:00:14 +0200

springlobby (0.185-1) unstable; urgency=medium

  * Imported Upstream version 0.185.
    - GPL-3+ files were relicensed to GPL-2+. Clarify that springlobby is
      distributed under GPL-2+. (Closes: #739058)
  * Rewrite debian/copyright file for new release 0.182. Add missing licenses.
  * Add myself to Uploaders.
    - Remove Jan and Marco. Thanks for your past work. (Closes: #737415)
  * debian/control:
    - Versioned b-d for debhelper is >= 9.
    - Declare compliance for Debian Policy 3.9.5.
    - Use canonical VCS-fields.
    - springlobby: Depend on spring >= 96.0.
    - Drop versioned b-d on dpkg-dev. Not needed.
    - Switch to libwxgtk3.0-dev.
    - Remove Provides: spring-lobby. Obsolete.
  * debian/rules:
    - Remove override dh_installchangelogs.
    - Improve debian/rules formatting.
    - Do not remove non-existent gitattributes directory.
    - Build with --parallel.
    - Do not compress README THANKS manually.
      This is automatically done by dh_compress.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
  * debian/watch: Make the extension regex more flexible.
  * Drop README.Debian since it contains obsolete information.
  * Install binaries with springlobby.install file.
  * wrap-and-sort -sa.
  * Add springlobby.menu and springlobby.xpm generated from springlobby.svg.

 -- Markus Koschany <apo@gambaru.de>  Tue, 25 Mar 2014 22:38:20 +0100

=== debian/control ===
Source: springlobby
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 asciidoc,
 cmake,
 debhelper (>= 9),
 docbook-xsl,
 libalure-dev,
 libboost-all-dev,
 libcurl4-gnutls-dev,
 libglib2.0-dev,
 libnotify-dev,
 libopenal-dev,
 libwxgtk3.0-dev,
 xsltproc
Standards-Version: 3.9.5
Homepage: http://springlobby.info
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/springlobby.git
Vcs-Git: git://anonscm.debian.org/pkg-games/springlobby.git

Package: springlobby
Architecture: amd64 i386
Depends:
 spring (>= 96.0),
 ${misc:Depends},
 ${shlibs:Depends}
Description: single/multiplayer lobby for the Spring RTS engine
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.

Package: springlobby-dbg
Section: debug
Architecture: amd64 i386
Priority: extra
Depends:
 springlobby (= ${binary:Version}),
 ${misc:Depends}
Description: single/multiplayer lobby for the Spring RTS engine (debugging symbols)
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.
 .
 This package contains the debugging symbols for the springlobby binary.
